Changes between Version 1 and Version 3 of Ticket #21151


Ignore:
Timestamp:
08/03/16 17:57:34 (5 years ago)
Author:
mkoeppe
Comment:

New commits:

274cd46Update topcom to 0.17.7, disable outdated soplex interface

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #21151

    • Property Status changed from new to needs_review
    • Property Authors changed from to Matthias Koeppe
    • Property Cc chapoton added
    • Property Summary changed from Fix TOPCOM's libsoplex detection, update to 0.17.7 to Update TOPCOM to 0.17.7, disable outdated libsoplex support
    • Property Branch changed from to u/mkoeppe/fix_topcom_s_libsoplex_detection__update_to_0_17_7
    • Property Commit changed from to 274cd46c1c4238cf088e58ed4d90e6d8895a93ca
  • Ticket #21151 – Description

    v1 v3  
    1 TOPCOM's configure script only checks for libsoplex, which is provided by the scipoptsuite package (#21094), but then installing topcom fails because it expects the header files in a different place.
     1The main purpose of this ticket is to disable the outdated libsoplex support in TOPCOM, which causes `sage -i topcom` to fail when the `scipoptsuite` package (#21094) is installed.
     2
     3Also update to the latest upstream version (from 0.17.4 to 0.17.7). Upstream changelog: http://www.rambau.wm.uni-bayreuth.de/TOPCOM/ChangeLog
    24
    35Upstream: http://www.rambau.wm.uni-bayreuth.de/TOPCOM/
     6
     7tarball: https://github.com/mkoeppe/topcom/releases/download/sage_package%2F0.17.7/topcom-0.17.7.tar.bz2